/* HEADER */

.header {
    top: 24px;
    position: absolute;
    width: 100%;
    z-index: 5;
}

.header .container {
    background: linear-gradient(90.66deg, #FFB246 14.49%, #FFC779 50%, #FFB246 84.86%);
    background-image: url("/assets/img/header-bg.jpg");
    background-size: cover;
    border-radius: 32px;
    padding: 24px 40px;
}

.header__top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 16px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.header__left {
    display: flex;
    align-items: center;
    gap: 48px;
}

.logo {
    font-weight: bold;
    font-size: 20px;
}

.phone {
    text-decoration: none;
    color: #000;
}

.phone.phone--text {
    color: var(--primary-color);
    padding: 12px 24px;
    background: #FFFFFF4D;
    border-radius: 24px;
    font-size: 20px;
    line-height: 24px;
    font-weight: bold;
    display: flex;
    align-items: center;
    gap: 8px;
    box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 0.5);
    border: 0;

}

.phone--icon {
    display: none;
    font-size: 20px;
}

.menu ul {
    display: flex;
    gap: 20px;
    justify-content: space-between;
}

.menu ul li a {
    color: var(--primary-color);
    text-decoration: none;
    text-shadow: 0px 0px 2px #FFF9E6;
}

.menu ul li a:hover {
    color: var(--primary-color-hover);
}

.menu.menu--top {
    justify-content: flex-end;
    transition: transform 0.3s ease;
}

.menu.menu--top ul {
    gap: 40px;
}

.menu.menu--top ul li a {
    font-weight: 500;
    font-size: 16px;
    line-height: 100%;
}

.menu-overlay {
    display: none;
}

.menu--bottom {
    padding-top: 16px;
}

.menu--bottom ul {
    justify-content: space-between;
}

.menu--bottom ul li a {
    font-weight: 600;
    font-size: 20px;
    line-height: 100%;
}

.burger {
    display: none;
    font-size: 22px;
    background: none;
    border: none;
    cursor: pointer;
}

.header__right {
    display: none;
    align-items: center;
    gap: 15px;
}

@media (max-width: 768px) {

    .header .container {
        border-radius: 24px;
        padding: 16px 24px;
    }

    .header__top {
        border-bottom: 0;
        padding-bottom: 0;
    }

    .header__left {
        gap: 24px;
    }

    .header__right {
        display: flex;
    }

    .menu--top {
        position: fixed;
        top: 0;
        right: 0;
        width: 280px;
        height: 100vh;
        background: #FFB246;
        padding: 80px 24px 24px;
        transform: translateX(100%);
        z-index: 100;
        display: block;
    }

    .menu--top.active {
        transform: translateX(0);
    }

    .menu--top ul {
        flex-direction: column;
        gap: 24px;
    }

    .menu--top ul li a {
        font-size: 18px;
        color: var(--primary-color);
        text-shadow: 0px 0px 2px #FFF9E6;
    }

    /* затемнение фона */
    .menu-overlay {
        display: block;
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, 0.4);
        opacity: 0;
        visibility: hidden;
        transition: 0.3s;
        z-index: 90;
    }

    .menu-overlay.active {
        opacity: 1;
        visibility: visible;
    }

    .no-scroll {
        overflow: hidden;
    }

    .logo {
        height: 40px;
    }

    .logo img {
        max-height: 100%;
    }

    .burger {
        display: flex;
    }

    .menu--bottom ul {
        flex-direction: column;
        width: 100%;
        gap: 16px;
    }

    .menu--bottom ul li a {
        font-size: 16px;
    }

    .phone.phone--text {
        font-size: 16px;
        line-height: 1;
        padding: 10px 12px;
    }

    .phone.phone--text img {
        max-height: 20px;
    }
}

@media (max-width: 700px) {
    .phone--icon {
        display: flex;
        padding: 6px;
        background: #FFFFFF4D;
        border-radius: 24px;
        box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 0.5);
        border: 0;

    }

    .phone.phone--text {
        display: none;
    }

}

/* HEADER END */

/* MAIN BANNER */

.banner {
    position: relative;
    background: url('/assets/img/banner.jpg') center/cover no-repeat;
    padding: 210px 0 0;
    color: #fff;
    height: 720px;
    border-radius: 0 0 80px 80px;
    overflow: hidden;
}

.banner .container {
    position: relative;
    z-index: 2;
}

.banner__content {
    max-width: 640px;
    border: 2px solid transparent;
    border-radius: 40px;
    background: linear-gradient(rgba(118, 118, 118, 0.3), rgba(118, 118, 118, 0.3)) padding-box,
    linear-gradient(
            118.09deg,
            rgba(255, 255, 255, 0.2),
            rgba(255, 255, 255, 0.5),
            rgba(255, 255, 255, 0.2)
    ) border-box;

    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    padding: 64px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.banner__title {
    font-size: 40px;
    line-height: 1;
    text-transform: uppercase;
    font-weight: 600;
    text-shadow: 0px 2px 8px #0000004D;

}

.banner__text {
    font-weight: 500;
    font-size: 24px;
    line-height: 120%;
    text-shadow: 0px 2px 8px #0000004D;
}


.banner__btn {
    display: inline-block;
    padding: 12px 20px;
    background: #fff;
    color: #000;
    text-decoration: none;
    font-weight: bold;
    width: fit-content;
    transition: 0.3s;
}

.banner__btn:hover {
    background: #000;
    color: #fff;
}

@media (max-width: 768px) {
    .banner {
        padding: 240px 0 16px;
        height: 580px;
        border-radius: 0 0 48px 48px;
    }

    .banner__content {
        max-width: 480px;
        padding: 32px;
        border-radius: 24px;
    }

    .banner__title {
        font-size: 32px;
    }

    .banner__text {
        font-size: 16px;
    }
}

@media (max-width: 700px) {

    .banner {
        padding: 16px;
        height: 480px;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        border-radius: 0 0 40px 40px;
    }

    .banner .container {
        margin: 0;
    }

    .banner__content {
        max-width: 100%;
        width: 100%;
        padding: 24px;
        gap: 16px;
    }

    .banner__title {
        font-size: 24px;
    }

    .banner__text {
        font-size: 14px;
    }

    a.btn.banner__btn {
        width: 100%;
        justify-content: center;
        gap: 16px;
    }
}

/* MAIN BANNER END */

/* SERVICES */

.services {
    padding: 40px 0;
}

.services__wrapper {
    display: flex;
    gap: 32px;
    flex-wrap: nowrap;
}


.services__wrapper a {
    display: block;
    width: 100%;
    text-decoration: none;
    perspective: 1200px;
    height: 222px;
}

.flip-card-inner {
    position: relative;
    width: 100%;
    height: 222px;
    text-align: center;
    transition: transform 0.6s cubic-bezier(0.23, 1, 0.32, 1);
    transform-style: preserve-3d;
    border-radius: 24px;
}

.services__wrapper a:hover .flip-card-inner {
    transform: rotateY(180deg);
}

.flip-front, .flip-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 24px;
    box-sizing: border-box;
}

.flip-front {
    background: linear-gradient(90.66deg, #FFB246 14.49%, #FFC779 50%, #FFB246 84.86%);
    transform: rotateY(0deg);
}

.flip-card-inner img {
    width: 64px;
    height: 64px;
    display: block;
}

.flip-card-inner span {
    font-weight: 600;
    font-size: 32px;
    color:  var(--primary-color);
    text-shadow: 0px 0px 2px #FFFFFF;
}

.flip-back {
    transform: rotateY(180deg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.flip-back::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.35);
    border-radius: 24px;
    z-index: 0;
    pointer-events: none;
}

.flip-back .back-content {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 24px;
    width: 100%;
    height: 100%;
}

.flip-back .back-content img {
    width: 64px;
    height: 64px;
    display: block;
    filter: brightness(0) invert(1);
}

.flip-back .back-content span {
    font-weight: 600;
    color: white;
    text-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}

.services__wrapper a:nth-child(1) .flip-back {
    background-image: url('/assets/img/services1.jpg');
}
.services__wrapper a:nth-child(2) .flip-back {
    background-image: url('/assets/img/services2.jpg');
}
.services__wrapper a:nth-child(3) .flip-back {
    background-image: url('/assets/img/services3.jpg');
}

@media (max-width: 768px) {
    .services__wrapper {
        gap: 16px;
    }

    .flip-card-inner {
        height: 160px;
    }

    .flip-card-inner img {
        max-height: 64px;
    }

    .flip-card-inner span {
        font-size: 20px;
    }
}

@media (max-width: 700px) {
    .services {
        padding: 24px 0;
    }

    .services__wrapper {
        flex-wrap: wrap;
    }

    .services__wrapper a {
        height: 152px;
        gap: 16px;
    }
}

/* SERVICES END*/

/* MATERIALS*/

.materials__wrapper {
    display: flex;
    gap: 32px;
    flex-wrap: nowrap;
}

.materials_banner {
    flex: 0 0 calc((100% - 64px) / 3);
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    background-image: url("/assets/img/materials_banner.jpg");
    background-repeat: no-repeat;
    border-radius: 24px;
    overflow: hidden;
    background-size: cover;
}

.materials_banner span {
    color: var(--primary-color);
    text-shadow: 0px 0px 2px #FFFFFF;
    font-weight: 600;
    font-size: 32px;
    line-height: 120%;
    text-align: center;
}

.materials_banner a {
    width: 100%;
}

.materials__news_list {
    display: flex;
    flex-direction: column;
    gap: 24px;
    flex: 1;
}

.materials__news_item {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 24px;
    border-bottom: 2px solid;
    border-image: linear-gradient(
            90deg,
            rgba(255, 178, 70, 0.21),
            rgba(255, 178, 70, 0.7)
    ) 1;
    padding-bottom: 24px;
    text-decoration: none;
    color: inherit;
}


.materials__news_item:nth-child(2n) {
    flex-direction: row-reverse;
    border-image: linear-gradient(
            -90deg,
            rgba(255, 178, 70, 0.21),
            rgba(255, 178, 70, 0.7)
    ) 1;
}

.materials__news_item img {
    max-width: 260px;
    border-radius: 24px;
}

.materials__news_item_info {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 14px 0;
}

.materials__news_item_info .date {
    font-weight: 500;
    font-size: 16px;
    line-height: 120%;
    color: var(--text-color);
    opacity: 0.5;

}

.materials__news_item_info h4 {
    font-weight: 600;
    font-size: 24px;
    line-height: 120%;
    color: var(--text-color);
}

.materials__news_item_info .more {
    text-decoration: none;
    font-weight: 600;
    font-size: 16px;
    line-height: 120%;
    color: var(--primary-color);
    width: fit-content;
}

.materials__news_item_info .more:after {
    content: "";
    background-image: url('data:image/svg+xml,<svg width="16" height="14" viewBox="0 0 16 14" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10 13L15 7M15 7L10 1M15 7L1 7" stroke="%23009E49" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/></svg>');
    display: inline-block;
    width: 16px;
    height: 14px;
    background-repeat: no-repeat;
    background-size: cover;
    margin-bottom: -2px;
    margin-left: 13px;
}


.materials__news_item:hover .more {
    transform: scale(1.05);
    transition: transform .3s;
}

.materials__news_item:hover img {
    transform: scale(1.05);
    transition: transform .3s;
}

@media (max-width: 768px) {
    .materials__wrapper {
        flex-wrap: wrap;
        gap: 24px;
    }

    .materials_banner {
        flex: 1;
        width: 100%;
        min-width: 100%;
        align-items: flex-start;
        padding: 32px;
        gap: 16px;
        background-image: url("/assets/img/materials_banner_mob.jpg")
    }

    .materials_banner span {
        font-size: 24px;
    }

    .materials_banner a {
        width: unset;
    }

    .materials__news_item img {
        max-width: 40%;
        max-height: 160px;
    }

    .materials__news_item_info h4 {
        font-size: 20px;
    }
}

@media (max-width: 700px) {
    .materials_banner {
        flex-direction: row;
        padding: 24px;
        align-items: center;
    }

    .materials_banner span {
        font-size: 20px;
        text-align: left;
        max-width: 50%;
    }

    .materials_banner a {
        height: 48px;
        font-size: 0;
        line-height: 0;
        width: 48px;
        min-width: unset;
        padding: 12px;
        justify-content: center;
    }

    .materials__news_item {
        flex-direction: column;
    }

    .materials__news_item img {
        max-width: 100%;
        max-height: unset;
    }

    .materials__news_item_info {
        padding: 0;
    }

    .materials__news_item:nth-child(2n) {
        flex-direction: column;
    }
}

/* MATERIALS END*/


/* FOOTER */
.footer {
    border-top: 1px solid #ddd;
    padding: 30px 0;
    font-size: 14px;
    margin-top: 64px;
    background: linear-gradient(90.66deg, #FFB246 14.49%, #FFC779 50%, #FFB246 84.86%);
    background-image: url("/assets/img/footer-bg.jpg");
    background-size: cover;
    border-radius: 64px 64px 0 0;
}

.footer__top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    padding-bottom: 24px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.footer__logo {
    font-weight: bold;
    font-size: 18px;
}

.footer__menu ul {
    display: flex;
    gap: 40px;
    list-style: none;
}

.footer__menu a {
    text-decoration: none;
    color: var(--primary-color);
    text-shadow: 0px 0px 2px #FFFFFF;
    font-weight: 600;
    font-size: 18px;
    line-height: 100%;
}

.footer__menu a:hover {
    color: var(--primary-color-hover);
}

.footer__phone {
    text-decoration: none;
    color: #000;
}

.phone.phone--text.footer__phone--mobile {
    display: none;
    font-size: 20px;
}

.footer__bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 20px;
}

.phone.phone--text.footer__phone--desktop {
    font-weight: bold;
}

.footer__copyright {
    font-weight: 500;
    font-size: 14px;
    line-height: 100%;
    color: var(--primary-color);
}


@media (max-width: 768px) {

    .footer {
        border-radius: 48px 48px 0 0;
    }

    .footer__top {
        justify-content: space-between;
        flex-wrap: wrap;
        border-bottom: 0;
    }

    .phone.phone--text.footer__phone--mobile {
        display: flex;
    }

    .phone.phone--text.footer__phone--desktop {
        display: none;
    }

    .footer__menu {
        order: 2;
        width: 100%;
        border-top: 1px solid rgba(0, 0, 0, 0.1);
    }

    .footer__menu ul {
        flex-direction: column;
        gap: 10px;
        margin-top: 20px;
    }

    .footer__bottom {
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }
}

@media (max-width: 700px) {
    .footer {
        border-radius: 40px 40px 0 0;
    }

    .footer__logo img {
        max-width: 111px;
    }

    .phone.phone--text.footer__phone--mobile img {
        max-height: 16px;
    }

    .phone.phone--text.footer__phone--mobile span {
        font-size: 14px;
    }

    .footer__menu ul {
        gap: 24px;
    }
}

/* FOOTER END */
